import { Subject } from 'rxjs';
import { CurrentDeviceService } from './current-device.service';
export declare class PendingCallManager {
    tapService: CurrentDeviceService;
    private _pendingCall?;
    private sessionStateSubscription?;
    private connectionStateSub;
    loading: boolean;
    pendingCallResult: Subject<Error | undefined>;
    static create(tapService: CurrentDeviceService): PendingCallManager;
    get pendingCall(): (() => Promise<any>) | undefined;
    constructor(tapService: CurrentDeviceService);
    hasPendingCall(): boolean;
    destroy(): void;
    exec(call: () => Promise<void>): Promise<void>;
    cancel(): void;
    private _runPendingCalls;
}
